Imagick::getImageChannelKurtosis
Imagick::getImageChannelRange
The Imagick class
PHP Manual

# Imagick::getImageChannelMean

(PECL imagick 2.0.0)

Imagick::getImageChannelMean — Gets the mean and standard deviation

### Description

array Imagick::getImageChannelMean ( int `$channel` )
Warning

This function is currently not documented; only its argument list is available.

Gets the mean and standard deviation of one or more image channels. Return value is an associative array with the keys "mean" and "standardDeviation".

### Parameters

`channel`

  Provide any channel constant that is valid for your channel mode. To apply to more than one channel, combine channeltype constants using bitwise operators. Refer to this list of channel constants.

### Return Values

Returns `TRUE` on success.

### Errors/Exceptions

Throws ImagickException on error.

Imagick::getImageChannelKurtosis
Imagick::getImageChannelRange
The Imagick class
PHP Manual